Bug 285411 - install progress dialog writing "updating" even when installing a new package
Summary: install progress dialog writing "updating" even when installing a new package
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: EasyFix, StringChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-10 23:51 UTC by Jens Petersen
Modified: 2008-05-28 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 19:11:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2007-09-10 23:51:40 UTC
Description of problem:
When pirut install a new package or updates already installed packages
it displays "updating <packagename>" under the progress bar.  It
should write "installing" for new packages rather than "updating".

How reproducible:
every time

Steps to Reproduce:
1. install a new (uninstalled) package with pirut
2. watch install progress dialog
  
Actual results:
2. displays "updating <package>"

Expected results:
2. displays "installing <package>"

Additional info:
if it is hard to differentiate then IMHO it might be better to use
"installing" instead of "updating" for both cases.

Comment 1 Jeremy Katz 2007-09-11 13:01:31 UTC
Will fix once F8 goes out (string frozen now)

Comment 2 Bug Zapper 2008-04-04 13:48:51 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Jeremy Katz 2008-05-28 19:11:53 UTC
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.


Note You need to log in before you can comment on or make changes to this bug.